Subject: Re: [X2Go-Dev] Bug#214: Bug#214: Add maximun available desktop area to session resolutions combo box

From: Ricardo Díaz Martín <[email-masked]>
Date: Tue, 21 May 2013 15:34:17 +0100

2013/5/20 Mike Gabriel <[email-masked]>

> tag #214 - patch
> tag #214 moreinfo
> thanks
>
> Hi Ricardo,
>
> On Mo 20 Mai 2013 18:18:04 CEST Ricardo Díaz Martín wrote:
>
>  Package: x2goclient
>> Severity: wishlist
>> Tag: patch
>>
>> I attach a patch to add the maximun available resolution for each monitor
>> in the session display resolutions combo box.
>>
>> I think it will be useful for the users.
>>
>> Regards,
>>
>
> thanks for this patch. Counter-suggestion: add a radio button to the
> session profile GUI that always sets the maxdim of the currently used local
> desktop.
>
> Check the pyhoca-gui session profile manager for a comparison.
>

I'll take a look to pyhoca-gui session profile!

>
> Normally, in the session profile options, you either set width= and
> height=, or you set fullscreen=true, or you set maxdim=true.
>
> If maxdim is set to true, then it has precedence over the width= / height=
> parameters.
>
> Could you rather implement that?
>

Note that maxdim is only available in x2goclient linux version. Looks like
Alex found some problem with this feature in windows/mac/maemo. I was
working some weeks ago to do it and I show lots of #ifdef sentences to
avoid this feature in no linux enviroments. So I decided to implement this
"uggly" feature and sent the patch. I can do the work but I'd have to
change a lot of Alex code. Maybe I have to write to Alex to know if he
found problem with "use max available area". What do you think about?

> Thanks+Greets,
> Mike